AppendableJoiner.Builder (Apache Commons Lang 3.20.0 API)
Description: declaration: package: org.apache.commons.lang3, class: AppendableJoiner, class: Builder

# Class AppendableJoiner.Builder<T>

java.lang.Object
org.apache.commons.lang3.AppendableJoiner.Builder<T>

Type Parameters:
  `T` - the type of elements to join.

All Implemented Interfaces:
  `Supplier<AppendableJoiner<T>>`

Enclosing class:
  `AppendableJoiner<T>`

public static final class AppendableJoiner.Builder<T> extends Object implements Supplier<AppendableJoiner<T>>
Builds instances of `AppendableJoiner`.

Since:
  3.15.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AppendableJoiner<T>`
  `get()`
  Gets a new instance of `AppendableJoiner`.
  `AppendableJoiner.Builder<T>`
  `setDelimiter(CharSequence delimiter)`
  Sets the delimiter that separates each element.
  `AppendableJoiner.Builder<T>`
  `setElementAppender(FailableBiConsumer<Appendable, T, IOException> appender)`
  Sets the consumer used to render each element of type `T` onto an `Appendable`.
  `AppendableJoiner.Builder<T>`
  `setPrefix(CharSequence prefix)`
  Sets the sequence of characters to be used at the beginning.
  `AppendableJoiner.Builder<T>`
  `setSuffix(CharSequence suffix)`
  Sets the sequence of characters to be used at the end.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### get

    public AppendableJoiner<T> get()
    Gets a new instance of `AppendableJoiner`.
    Specified by:
      `get` in interface `Supplier<T>`

  - ### setDelimiter

    public AppendableJoiner.Builder<T> setDelimiter(CharSequence delimiter)
    Sets the delimiter that separates each element.
    Parameters:
      `delimiter` - The delimiter that separates each element.
    Returns:
      `this` instance.

  - ### setElementAppender

    public AppendableJoiner.Builder<T> setElementAppender(FailableBiConsumer<Appendable, T, IOException> appender)
    Sets the consumer used to render each element of type `T` onto an `Appendable`.
    Parameters:
      `appender` - The consumer used to render each element of type `T` onto an `Appendable`.
    Returns:
      `this` instance.

  - ### setPrefix

    public AppendableJoiner.Builder<T> setPrefix(CharSequence prefix)
    Sets the sequence of characters to be used at the beginning.
    Parameters:
      `prefix` - The sequence of characters to be used at the beginning.
    Returns:
      `this` instance.

  - ### setSuffix

    public AppendableJoiner.Builder<T> setSuffix(CharSequence suffix)
    Sets the sequence of characters to be used at the end.
    Parameters:
      `suffix` - The sequence of characters to be used at the end.
    Returns:
      `this` instance.